mandb(8)

NOMBRE
mandb - crea o actualiza los índices temporales de páginas del manual

SINOPSIS
mandb [-dqsuc|-h|-V ] [rutaalmanual]

DESCRIPCIÓN
mandb se usa para crear o actualizar manualmente la base de datos temporal de índices que usualmente mantiene la utilidad man. Estos índices temporales contienen información sobre el estado actual del sistema de páginas del manual, y la infomación contenida en ellos se usa por las utilidades man_db para mejorar su velocidad y funcionalidad. Cuando se crea o actualiza un índice, mandb le avisará de peticiones ROFF .so incorrectas, nombres falsos de páginas de manual y páginas cuyos whatis (descripciones cortas) no pudieron analizarse. Si se le suministra a mandb una ruta opcional, delimitada con dos puntos (:), no usará la ruta de búsqueda `global' interna para la jerarquía depáginas del manual, que se determina a partir de la información que se encuentra en el fichero de configuración de man_db.

BASES DE DATOS TEMPORALES
mandb puede compilarse con soporte para cualquiera de los siguientes tipos de bases de datos.
Nombre | Tipo | Asinc | Nombre de fichero
Berkeley db | Árbol binario | Sí | index.bt
GNU gdbm v >= 1.6 | "Hashed" | Sí | index.db
GNU gdbm v < 1.6 | "Hashed" | No | index.db
UNIX ndbm | "Hashed" | No | index.(dir|pag)
Los tipos de base de datos que soportan actualizaciones asíncronas permiten mayor velocidad, a costa de posible corrupción en caso de una interrupción inusual. En el caso inusual de que esto ocurra, puede ser necesario volver a ejecutar mandb con la opción -c para volver a crear las bases de datos desde cero.

OPTCIONES

-d, --debug
    Muestra información de depurado.

-q, --quiet
    No muestra ningún aviso.

-s, --no-straycats
    No dedica tiempo a buscar o añadir información a las bases de datos sobre páginas "cat" sin su correspondiente página fuente.

-c, --create
    Por defecto, mandb intentará actualizar cualquier base de datos creada previamente. Si una base de datos no existe, la creará. Esta opción fuerza a mandb a que borre las bases de datos previas, y las cree de nuevo desde cero. Esto puede ser necesario si la base de datos se corrompe o si un nuevo esquema de almacenamiento de base de datos se introduce en el futuro.

-u, --user-db
    Crea bases de datos del usuario únicamente, incluso si tiene los permisos de escritura necesarios para crear bases de datos `globales'.

-h, --help
    Muestra el mensaje de uso, y termina.

-V, --version
    Muestra la versión, y termina.

DIAGNÓSTICOS
Los siguientes mensajes de aviso pueden omitirse durante la construcción de las bases de datos.

<filename>: whatis parse for page(sec) failed
    (<fichero>: El análisis del "whatis" para la página(sección) falló). El intento de extraer la línea o líneas de descripción breve del <fichero> dado falló. Esto se debe usualmente a que la página de manual está pobremente escrita, pero si se emiten muchos mensajes como este, es probable que el sistema contenga páginas de manual no estandar que sean incompatibles con el analizador de whatis de man_db.

<filename>: is a dangling symlink
    (<fichero>: es un enlace perdido) <fichero> no existe, pero un enlace simbólico hace referencia a él. Usualmente se emiten más diagnósticos para identificar el nombre de fichero del enlace problemático.

<filename>: bad symlink or ROFF `.so' request
    (<fichero>: enlace simbólico o petición ROFF `.so' incorrectos) <fichero> es o bien un enlace simbólico a, o contiene una petición ROFF para incluir, un fichero no existente.

<filename>: ignoring bogus filename
    (<fichero>: ignorando nombre falso) El <fichero> puede o no ser una página de manual válida, pero su nombre no es válido. Esto se debe usualmente a páginas de manual con la extensión de sección <x> que se han puesto en la sección <y>.

<filename_mask>: competing extensions
    (<máscara_de_nombre_de_fichero>: extensiones que compiten) La "wildcard" <máscara_de_nombre_de_fichero> no es única. Esto está causado usualmente por la existencia de ambas versiones, comprimida y no comprimida, de la misma página del manual. Se usará sólo la más reciente.

FICHEROS

/etc/manpath.config
    fichero de configuración de man_db.

/usr/man/index.(bt|db|dir|pag)
    Una base de datos temporal de índices tradicional.

/var/catman/index.(bt|db|dir|pag)
    Una base de datos temporal de índices alternativa o conforme al FSSTND.

VÉASE TAMBIÉN
man(1), manpath(5), catman(8).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk) Traducción realizada por Enrique Zanardi (ezanardi@ull.es)